﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormTCS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

<!-- TCS Variables -->
<let name="TCS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/tcs/tcs_0001/tcs.0001.lodge.request.02.00.report.xsd']]" />
<let name="RP.TCS.Context" value="$TCS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
<let name="RP.TCS.ContextId" value="$RP.TCS.Context/@id" />
</pattern>