﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIDS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to IDS.</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ids.0005.2017.01.00.report.xsd']]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" >
        <!--
            IF (RP:entity.identifier.TFN 
                <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009"
                 test="not(
                        @id=$RP.IDS.ContextId
                        and xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.PTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                    )"/>
        <!--
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
            -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000"
        test="not(
                    xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.PTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>

        <!--
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
            -->
        <assert id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001"
        test="not(
                    xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.PTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
        


    </rule>
    
    
    
</pattern>