<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:dtyp="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" xmlns:rvctc3.02.15="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.15.data" xmlns:rvctc3.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data" xmlns:rvctc3.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.14.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.21="http://sbr.gov.au/icls/py/pyde/pyde.02.21.data" xmlns:RprtPyType.02.00="http://sbr.gov.au/dims/RprtPyType.02.00.dims" xmlns:RprtPyType.02.11="http://sbr.gov.au/dims/RprtPyType.02.11.dims" xmlns:PrdType.02.00="http://sbr.gov.au/dims/PrdType.02.00.dims" xmlns:AssblFrgnIncClass.02.00="http://sbr.gov.au/dims/AssblFrgnIncClass.02.00.dims" xmlns:RelPrdDrtn.02.04="http://sbr.gov.au/dims/RelPrdDrtn.02.04.dims" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:bafpr2.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data" xmlns:bafpr2.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data" xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:ls.0004.lodge.request.02.00="http://sbr.gov.au/rprt/ato/ls/ls.0004.lodge.request.02.01.report" xmlns:ls.0004.private.02.00="http://sbr.gov.au/rprt/ato/ls/ls.0004.private.02.00.module" xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="RS201502Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M52"/><xsl:apply-templates select="/" mode="M53"/><xsl:apply-templates select="/" mode="M54"/><xsl:apply-templates select="/" mode="M55"/><xsl:apply-templates select="/" mode="M56"/><xsl:apply-templates select="/" mode="M57"/><xsl:apply-templates select="/" mode="M58"/><xsl:apply-templates select="/" mode="M59"/><xsl:apply-templates select="/" mode="M60"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M52"/><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="*" mode="M52"/></xsl:template>

<!--
                PATTERN ContextVariablesXBRL variables that are applicable accross all of the LOS Schedual.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RP.INTI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:InterestIncome$')]) = 1]                     ]"/><xsl:variable name="RP.INTI.ContextId" select="$RP.INTI.Context/@id"/><xsl:variable name="RP.PASSI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:ModifiedPassiveIncome$')]) = 1]                     ]"/><xsl:variable name="RP.PASSI.ContextId" select="$RP.PASSI.Context/@id"/><xsl:variable name="RP.OFFI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:OffshoreBankingIncome$')]) = 1]                     ]"/><xsl:variable name="RP.OFFI.ContextId" select="$RP.OFFI.Context/@id"/><xsl:variable name="RP.ALLI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:AllOtherForeignSourceIncome$')]) = 1]                     ]"/><xsl:variable name="RP.ALLI.ContextId" select="$RP.ALLI.Context/@id"/><xsl:variable name="RP.Y0.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]                     ]"/><xsl:variable name="RP.Y0.ContextId" select="$RP.Y0.Context/@id"/><xsl:variable name="RP.Y0-1.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]                     ]"/><xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id"/><xsl:variable name="RP.Y0-2.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]                     ]"/><xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id"/><xsl:variable name="RP.Y0-3.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]                     ]"/><xsl:variable name="RP.Y0-3.ContextId" select="$RP.Y0-3.Context/@id"/><xsl:variable name="RP.Y0-4.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4$')]) = 1]                     ]"/><xsl:variable name="RP.Y0-4.ContextId" select="$RP.Y0-4.Context/@id"/><xsl:variable name="RP.Y0-5P.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus5Plus$')]) = 1]                     ]"/><xsl:variable name="RP.Y0-5P.ContextId" select="$RP.Y0-5P.Context/@id"/><xsl:variable name="RP.ALL.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:All$')]) = 1]                     ]"/><xsl:variable name="RP.ALL.ContextId" select="$RP.ALL.Context/@id"/><xsl:variable name="RP.Y0-10SAP2.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus10SAP2$')]) = 1]                     ]"/><xsl:variable name="RP.Y0-10SAP2.ContextId" select="$RP.Y0-10SAP2.Context/@id"/><xsl:variable name="RP.Identifier.TFN" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                     and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]/                     ../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']"/><xsl:template match="text()" priority="-1" mode="M53"/><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="*" mode="M53"/></xsl:template>

<!--
                PATTERN ElementVariablesXBRL element variables that are applicable accross the LOS service.-->
<xsl:variable name="RS12" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.21:Party.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS17" select="xbrli:xbrl/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS18" select="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS19" select="xbrli:xbrl/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS20" select="xbrli:xbrl/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS24" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS28" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS29" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS30" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS32" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS33" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS34" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS36" select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RS59" select="xbrli:xbrl/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:template match="text()" priority="-1" mode="M54"/><xsl:template match="@*|node()" priority="-2" mode="M54"><xsl:apply-templates select="*" mode="M54"/></xsl:template>

<!--
                PATTERN ContextRule validations for contexts that are applicable accross all of the LOS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M55">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template><xsl:template match="text()" priority="-1" mode="M55"/><xsl:template match="@*|node()" priority="-2" mode="M55"><xsl:apply-templates select="*" mode="M55"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M56">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                         matches($RS12,'^(161|212)$') and                                count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000148</isns:Code><isns:Description>Organisation name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              matches($RS12,'^(161|212)$') and              not ($RS36)                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              matches($RS12,'^(161|212)$') and              not ($RS28)                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.Ownership.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              matches($RS12,'^(161|212)$') and              not ($RS29)                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.Acquisition.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              matches($RS12,'^(161|212)$') and              not ($RS30)                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="VR_ATO_RS_000012_RENTALNET_AMOUNT" select="round(100 * xs:decimal(sum(bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))"/><xsl:variable name="VR_ATO_RS_000012_RENTAL_MINUS_EXPENSES" select="round(100 * xs:decimal(sum(                     bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                  -                  round(100 * xs:decimal(sum(                      bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                  "/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          $RS59 and abs($VR_ATO_RS_000012_RENTALNET_AMOUNT - $VR_ATO_RS_000012_RENTAL_MINUS_EXPENSES) &gt; 100                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000012</isns:Code><isns:Description>Net rent is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               pyde.02.21:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (matches(.,'^(117)$'))]               and               (                 bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                )                            )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000011</isns:Code><isns:Description>The Non Individuals only section - Trusts and Partnerships cannot be populated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="rp_end_date" select="xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                          ($RS24) and string-length(normalize-space($RS24)) != 0 and function:IsDate1GreaterThanDate2(xs:date($RS24),xs:date($rp_end_date))                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000009</isns:Code><isns:Description>Date property first earned rental income must be prior to form submission date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="rp_identifier_scheme" select="xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count($rp_identifier_scheme)!=0"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438029</isns:Code><isns:Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               pyde.02.21:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(117|161|212)$'))]              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000151</isns:Code><isns:Description>Entity Type is invalid. The only valid code for this submission is 117, 161 and 212.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:Party.Type.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M56"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M56">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       @contextRef = $RP.ContextId and number(.) &gt;52                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000138</isns:Code><isns:Description>Number of weeks property was available for rent this year cannot exceed 52 weeks</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M56"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.RentalWeeks.Count[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M56">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       @contextRef = $RP.ContextId and number(.) &gt;52                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000137</isns:Code><isns:Description>Number of weeks property rented must not exceed 52</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M56"/></xsl:template><xsl:template match="text()" priority="-1" mode="M56"/><xsl:template match="@*|node()" priority="-2" mode="M56"><xsl:apply-templates select="*" mode="M56"/></xsl:template>

<!--
                PATTERN MandatoriesMandatories Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M57">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.21:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000004</isns:Code><isns:Description>Entity Type must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:Party.Type.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000014</isns:Code><isns:Description>Net rent must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000013</isns:Code><isns:Description>Rental income must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000043</isns:Code><isns:Description>Number of weeks property was rented this year must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000019</isns:Code><isns:Description>Date property first earned rental income must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M57"/></xsl:template><xsl:template match="text()" priority="-1" mode="M57"/><xsl:template match="@*|node()" priority="-2" mode="M57"><xsl:apply-templates select="*" mode="M57"/></xsl:template>

<!--
                PATTERN LengthsLength Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                $RS19 and string-length(normalize-space($RS19)) != 0 and                         matches($RS19,'^(.*)([^-a-zA-Z0-9!@$%*()=\[\];:,.?/\s''&#34;&amp;])(.*)$')                                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500028</isns:Code><isns:Description>Suburb/Town/City contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                $RS18 and string-length(normalize-space($RS18)) != 0 and                         matches($RS18,'^(.*)([^-a-zA-Z0-9!@$%*()=\[\];:,.?/\s''&#34;&amp;])(.*)$')                                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500027</isns:Code><isns:Description>Address Line 2 contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                $RS17 and string-length(normalize-space($RS17)) != 0 and                         matches($RS17,'^(.*)([^-a-zA-Z0-9!@$%*()=\[\];:,.?/\s''&#34;&amp;])(.*)$')                                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500026</isns:Code><isns:Description>Address Line 1 contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,3}$'))]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000144</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.Ownership.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,2}$'))]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000143</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,2}$'))]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000145</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(             number(bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;100             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000140</isns:Code><isns:Description>Percentage must not exceed 100%</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.Ownership.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="rp_identifier" select="xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 1 and string-length(normalize-space($rp_identifier)) != 0 and function:ValidateTFN($rp_identifier)             "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500009</isns:Code><isns:Description>Reporting Party Tax file number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000127</isns:Code><isns:Description>Purchase price of property is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000126</isns:Code><isns:Description>Sale price of property is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(         @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000128</isns:Code><isns:Description>Capital gain/loss on sale of this property is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000125</isns:Code><isns:Description>Value of capital allowances (depreciation on plant) recouped on the sale of the property is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000041</isns:Code><isns:Description>Net rent is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000040</isns:Code><isns:Description>Sundry rental expenses is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000039</isns:Code><isns:Description>Water charges is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr1.02.00:Expense.Travel.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000038</isns:Code><isns:Description>Travel expenses is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.00:Expense.Travel.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000037</isns:Code><isns:Description>Stationery, telephone, and postage is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000036</isns:Code><isns:Description>Capital works deductions (special building write off) is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000035</isns:Code><isns:Description>Repairs and maintenance is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000034</isns:Code><isns:Description>Property agent fees/commission is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000033</isns:Code><isns:Description>Pest control is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000032</isns:Code><isns:Description>Legal fees is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/:bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr1.02.00:Expense.LandTax.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000031</isns:Code><isns:Description>Land tax is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.00:Expense.LandTax.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000030</isns:Code><isns:Description>Interest on loans is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000029</isns:Code><isns:Description>Insurance is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000028</isns:Code><isns:Description>Gardening/lawn mowing is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000027</isns:Code><isns:Description>Capital allowances (depreciation on plant) is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000026</isns:Code><isns:Description>Council rates is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000025</isns:Code><isns:Description>Cleaning is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000024</isns:Code><isns:Description>Borrowing expenses is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000023</isns:Code><isns:Description>Body corporate fees is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000022</isns:Code><isns:Description>Advertising for tenants is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000021</isns:Code><isns:Description>Other rental related income is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000020</isns:Code><isns:Description>Rental income is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000129</isns:Code><isns:Description>Value of capital works deductions (special building write-off) recouped on the sale of the property is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template><xsl:template match="text()" priority="-1" mode="M58"/><xsl:template match="@*|node()" priority="-2" mode="M58"><xsl:apply-templates select="*" mode="M58"/></xsl:template>

<!--
                PATTERN DataTypesDataTypes Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]" priority="1039" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><isns:Description>Field not supplied in valid date format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]" priority="1038" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><isns:Description>Field not supplied in valid date format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1037" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1036" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1035" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1034" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1033" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1032" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1031" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.AttributabletoForeignNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1030" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.AllOtherForeignSourceIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1029" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.AssessableForeignSourceIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1028" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ChoiceToReduceConvertibleForeignLossesToStartingTotalThreshold.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConvertibleForeignLossesIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConvertibleForeignLosses.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForeignSourceIncomeStartingTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignSourceConvertibleLosses.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><isns:Description>Field not supplied in valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><isns:Description>Field not supplied in valid boolean format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><isns:Description>Field not supplied in valid boolean format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><isns:Description>Field not supplied in valid boolean format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><isns:Description>Field not supplied in valid boolean format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><isns:Description>Field not supplied in valid boolean format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&#34;])*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><isns:Description>Field not supplied in valid format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{11}$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><isns:Description>Field not supplied in valid format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template><xsl:template match="text()" priority="-1" mode="M59"/><xsl:template match="@*|node()" priority="-2" mode="M59"><xsl:apply-templates select="*" mode="M59"/></xsl:template>

<!--
                PATTERN AddressAddress Common Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M60">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000018</isns:Code><isns:Description>Rental Property - State must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="ucName" select="upper-case(pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0] or                                     $ucName = 'ACT' or                      $ucName = 'NSW' or                      $ucName = 'NT' or                      $ucName = 'QLD' or                      $ucName = 'SA' or                      $ucName = 'VIC' or                      $ucName = 'WA' or                                   $ucName = 'TAS'"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428036</isns:Code><isns:Description>Invalid State code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><isns:LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS")</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000017</isns:Code><isns:Description>Rental Property - Postcode must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Postcode.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="number($RS20) &gt;=200 and number($RS20) &lt;=9999"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428041</isns:Code><isns:Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Postcode.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000016</isns:Code><isns:Description>Rental Property - Suburb/Town must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 27]       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500020</isns:Code><isns:Description>Suburb/Town/City must not exceed 27 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)[0-9](.*)$')]       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><isns:Description>Suburb/Town/City cannot contain numeric characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              pyde.02.00:AddressDetails.Line2.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 38]       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500019</isns:Code><isns:Description>Address Line 2 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000015</isns:Code><isns:Description>Rental Property - Address line 1 must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and contains(upper-case(.), 'C/-')] and                       not(pyde.02.00:AddressDetails.Line2.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428026</isns:Code><isns:Description>C/- must be followed by a Name and the Address on line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 38]       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500018</isns:Code><isns:Description>Address Line 1 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M60"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M60">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                         matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                         matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                         matches(.,'^(C/O|C/|Care Of|CO)$','i')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><isns:Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M60"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M60">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                             matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                             matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                             matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')                           )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><isns:Description>'Care of' is not valid for address line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M60"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M60">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M60"/></xsl:template><xsl:template match="text()" priority="-1" mode="M60"/><xsl:template match="@*|node()" priority="-2" mode="M60"><xsl:apply-templates select="*" mode="M60"/></xsl:template></xsl:stylesheet>