﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormLOS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to LOS.</title>

<!-- LOS Variables -->
<let name="LOS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]" />
<let name="RP.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
                    ]" />
<let name="RP.LOS.ContextId" value="$RP.LOS.Context/@id" />
<let name="RP.All.LOS.Context" value="$LOS.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:All$')]) = 1]
            ]" />
<let name="RP.All.LOS.ContextId" value="$RP.All.LOS.Context/@id" />
<!--RP.Y0 Context Variables -->
<let name="RP.Y0.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0$')]) = 1]
                    ]" />
<let name="RP.Y0.LOS.ContextId" value="$RP.Y0.LOS.Context/@id" />
<!--RP.Y0Minus1 Context Variables -->
<let name="RP.Y0-1.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus1$')]) = 1]
                    ]" />
<let name="RP.Y0-1.LOS.ContextId" value="$RP.Y0-1.LOS.Context/@id" />
<!--RP.Y0Minus2 Context Variables -->
<let name="RP.Y0-2.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus2$')]) = 1]
                    ]" />
<let name="RP.Y0-2.LOS.ContextId" value="$RP.Y0-2.LOS.Context/@id" />
<!--RP.Y0Minus3 Context Variables -->
<let name="RP.Y0-3.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus3$')]) = 1]
                    ]" />
<let name="RP.Y0-3.LOS.ContextId" value="$RP.Y0-3.LOS.Context/@id" />
<!--RP.Y0Minus4 Context Variables -->
<let name="RP.Y0-4.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus4$')]) = 1]
                    ]" />
<let name="RP.Y0-4.LOS.ContextId" value="$RP.Y0-4.LOS.Context/@id" />
<!--RP.Y0Minus5Plus Context Variables -->
<let name="RP.Y0-5P.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus5Plus$')]) = 1]
                    ]" />
<let name="RP.Y0-5P.LOS.ContextId" value="$RP.Y0-5P.LOS.Context/@id" />


<rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]">
 

<!--
           
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
            xbrli:context[@id=$RP.LOS.ContextId]
            RP.LOS.Context
        -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" 
                test="not(
                            $RP.LOS.Context/xbrli:entity/xbrli:identifier[(lower-case(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.SMSFAR.Context/xbrli:entity/xbrli:identifier[(lower-case(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                )"/>
        <!--
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" 
                test=" not(                    
                            (
                                $SMSFAR.Context/smsfar:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                ls:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                ls:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $SMSFAR.Context/smsfar:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                            )
                        )"/>
        <!--                     
            IF (PARENT RETURN<>""CTR"") AND ([LS25] <> NULL OR [LS26] <> NULL OR [LS27] <> NULL OR [LS28] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS25] = LS:RP:rvctc3.xx.xx:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator
            [LS26] = LS:RP:rvctc3.xx.xx:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator
            [LS27] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator
            [LS28] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount
        -->
        <assert id="VR.ATO.LS.414022" diagnostics="DVR.ATO.LS.414022"
                test="not( 
                        ls:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or ls:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or ls:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or ls:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                )"/>
        <!--
            IF (PARENT RETURN <> SET("CTR", "TRT")) AND (([LS15] <>NULL) OR ([LS16] <> NULL) OR ([LS17] <> NULL) OR ([LS18] <> NULL) OR ([LS19] <> NULL) OR ([LS53] <> NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS53] = LS:RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
        -->
        <assert id="VR.ATO.LS.414017" diagnostics="DVR.ATO.LS.414017" 
                test="not(
                        ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                         or ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                         or ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                         or ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                         or ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-4.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                         or ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-5P.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]/xbrli:context">

        <!-- 
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000"
                test="not(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and 
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')][1]
                        !=
                        $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')][1]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')][1]
                )"/>
        <!-- 
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" 
                test="not(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and 
                        xbrli:period[not(@i:nil='true' or @i:nil='1')][1]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')][1]
                        !=
                        $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')][1]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')][1]
                    )"/>
</rule>

<rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]/ls:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/ls:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL 
                AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text IN TUPLE 
                (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
                (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) 
                WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <let name="OrgName" value="upper-case(.)"/>
    <assert id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045"
            test="not(
                   @contextRef=$RP.LOS.ContextId 
                   and
                   $SMSFAR.Context/smsfar:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                        /smsfar:OrganisationNameDetails.OrganisationalName.Text
                                            [
                                                @contextRef = $RP.SMSFAR.ContextId
                                                and not(@i:nil='true' or @i:nil='1') 
                                                and ../smsfar:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                                                and ../smsfar:OrganisationNameDetails.Currency.Code = 'C'
                                                and upper-case(.) != $OrgName
                                            ]
                      )"/>
    
</rule>
</pattern>