﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Element Variables</title>
  <let name="TRT1" value="xbrli:xbrl/pyin.02.37:Report.TargetFinancial.Year[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT9" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT10" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C'  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT11" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C'  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT12" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT14" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT15" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT16" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT17" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT20" value="xbrli:xbrl/trt.0006.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'MailRecipient' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT22" value="xbrli:xbrl/trt.0006.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'MailRecipient' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT23" value="xbrli:xbrl/trt.0006.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'MailRecipient' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT24" value="xbrli:xbrl/trt.0006.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT28" value="xbrli:xbrl/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT29" value="xbrli:xbrl/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT30" value="xbrli:xbrl/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT31" value="xbrli:xbrl/rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT32" value="xbrli:xbrl/pyde.02.26:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT34" value="xbrli:xbrl/pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT35" value="xbrli:xbrl/pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT36" value="xbrli:xbrl/pyin.02.28:Lodgment.FinalReturn.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT41" value="xbrli:xbrl/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT42" value="xbrli:xbrl/pyde.02.30:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT43" value="xbrli:xbrl/pyde.02.11:OrganisationDetails.ActivityEvent.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT44" value="xbrli:xbrl/pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT46" value="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT47" value="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT49" value="xbrli:xbrl/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT50" value="xbrli:xbrl/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT52" value="xbrli:xbrl/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT54" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT55" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT56" value="xbrli:xbrl/bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT57" value="xbrli:xbrl/lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT58" value="xbrli:xbrl/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT59" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT60" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT61" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT62" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.RentTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT63" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT64" value="xbrli:xbrl/bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT65" value="xbrli:xbrl/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT66" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT67" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT68" value="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT69" value="xbrli:xbrl/bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT71" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT72" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT73" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT74" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT75" value="xbrli:xbrl/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT76" value="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT77" value="xbrli:xbrl/bafpr1.02.14:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT79" value="xbrli:xbrl/bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT80" value="xbrli:xbrl/bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT81" value="xbrli:xbrl/bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT83" value="xbrli:xbrl/bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT84" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT85" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT86" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT87" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT89" value="xbrli:xbrl/bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT90" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT91" value="xbrli:xbrl/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT92" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT93" value="xbrli:xbrl/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT94" value="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT95" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT96" value="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT97" value="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT98" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT99" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT100" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and ../crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = 'O' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT101" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and ../crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = 'O' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT102" value="xbrli:xbrl/trt.0006.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[@contextRef=$RP.JAus.ContextId and ../crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = 'D' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT103" value="xbrli:xbrl/trt.0006.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[@contextRef=$RP.JAus.ContextId and ../crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = 'O' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT104" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT105" value="xbrli:xbrl/gfapc.02.01:Pension.Total.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT106" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT108" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT109" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT110" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT111" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT112" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT113" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT115" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT116" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT117" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/trt.0006.lodge.req.02.00:LumpSumInArrears[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT118" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/trt.0006.lodge.req.02.00:LumpSumInArrears[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT119" value="xbrli:xbrl/lrla.02.00:Remuneration.BonusesAndAllowances.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT120" value="xbrli:xbrl/trt.0006.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.Other.Description[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT121" value="xbrli:xbrl/trt.0006.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT122" value="xbrli:xbrl/bafpr1.02.04:Income.ExceptedTrustNet.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT123" value="xbrli:xbrl/bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT124" value="xbrli:xbrl/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT128" value="xbrli:xbrl/trt.0006.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Text[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT129" value="xbrli:xbrl/trt.0006.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT130" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT131" value="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT133" value="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT134" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT135" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT136" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT138" value="xbrli:xbrl/bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT140" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT141" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT142" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT143" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT144" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT145" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT146" value="xbrli:xbrl/rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
	<let name="TRT147" value="xbrli:xbrl/gfati.02.05:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount[@contextRef=$RP.Opening.ContextId  and not(@i:nil='true' or @i:nil='1')]" />-->
  <let name="TRT148" value="xbrli:xbrl/rvctc4.02.10:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT149" value="xbrli:xbrl/pyde.02.25:Residency.TaxPurposesPersonStatus.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT151" value="xbrli:xbrl/rvctc4.02.11:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT155" value="xbrli:xbrl/bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT156" value="xbrli:xbrl/bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT157" value="xbrli:xbrl/bafpo1.02.13:Assets.Total.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT158" value="xbrli:xbrl/bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT159" value="xbrli:xbrl/bafpo1.02.13:Liabilities.Total.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT161" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MTR' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT162" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'BUS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT166" value="xbrli:xbrl/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Opening.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT167" value="xbrli:xbrl/bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT168" value="xbrli:xbrl/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT169" value="xbrli:xbrl/bafpo7.02.18:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT170" value="xbrli:xbrl/bafpo1.02.13:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT171" value="xbrli:xbrl/bafpo1.02.13:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT172" value="xbrli:xbrl/lrla.02.17:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT173" value="xbrli:xbrl/lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT174" value="xbrli:xbrl/lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT175" value="xbrli:xbrl/bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT176" value="xbrli:xbrl/bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT177" value="xbrli:xbrl/bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT178" value="xbrli:xbrl/bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT179" value="xbrli:xbrl/bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT180" value="xbrli:xbrl/bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT181" value="xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT182" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT183" value="xbrli:xbrl/bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT184" value="xbrli:xbrl/bafpr1.02.04:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT186" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT187" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT189" value="xbrli:xbrl/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.LowCost.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT190" value="xbrli:xbrl/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.GeneralPool.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT194" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.MedicareLevy.BeneficiarySpouseTaxableIncome.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT195" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT196" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Count[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT198" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionHalfDays.Count[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT200" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT201" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT202" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT203" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT205" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT206" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT207" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT208" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT209" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT210" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT211" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT212" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT213" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT214" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.21:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT215" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT217" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT218" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT219" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT220" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT221" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT222" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT223" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT224" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT225" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT226" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT228" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT229" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT230" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.21:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT231" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT233" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT234" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT235" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT236" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT237" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT238" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT239" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT240" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT241" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT242" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT244" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT245" value="xbrli:xbrl/pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT246" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT250" value="xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$INT.ContextId and ../pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT251" value="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT306" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT312" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT320" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT340" value="xbrli:xbrl/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT342" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT343" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT344" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT345" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT346" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT353" value="xbrli:xbrl/pyde.02.05:Party.TrustType.Code[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT356" value="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT357" value="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT359" value="xbrli:xbrl/bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT361" value="xbrli:xbrl/gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef=$RP.Prim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT362" value="xbrli:xbrl/gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT405" value="xbrli:xbrl/bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT408" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator[@contextRef=$RP.JAus.ContextId and ../crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = 'O' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT410" value="xbrli:xbrl/trt.0006.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and ../crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = 'O' and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT414" value="xbrli:xbrl/pyin.02.28:Report.Amendment.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT418" value="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT419" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT432" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT433" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/trt.0006.lodge.req.02.00:AnnualTrusteePaymentReportInformation[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Expense.DistributionBeneficiaryCloselyHeldTrust.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT434" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/trt.0006.lodge.req.02.00:AnnualTrusteePaymentReportInformation[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT435" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT436" value="xbrli:xbrl/pyde.02.05:Party.TrustType.Code[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT437" value="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT438" value="xbrli:xbrl/rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT439" value="xbrli:xbrl/rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT440" value="xbrli:xbrl/bafpr1.02.10:Income.TrustEstateIncome.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT441" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT442" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT443" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT444" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT445" value="xbrli:xbrl/rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT446" value="xbrli:xbrl/rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT447" value="xbrli:xbrl/bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT448" value="xbrli:xbrl/rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT449" value="xbrli:xbrl/bafpo6.02.15:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT450" value="xbrli:xbrl/bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT451" value="xbrli:xbrl/bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT452" value="xbrli:xbrl/rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT453" value="xbrli:xbrl/rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT454" value="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT455" value="xbrli:xbrl/rvctc2.02.15:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT456" value="xbrli:xbrl/rvctc2.02.15:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT457" value="xbrli:xbrl/rvctc2.02.15:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT463" value="xbrli:xbrl/rvctc1.02.17:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT464" value="xbrli:xbrl/rvctc1.02.18:IncomeTax.TaxOffsetRefundableOther.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT465" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.18:IncomeTax.ExplorationDevelopmentIncentiveCreditDistributed.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT466" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.17:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT474" value="xbrli:xbrl/rvctc2.02.13:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT478" value="xbrli:xbrl//bafpr1.02.04:Income.SmallBusinessEntityNet.Amount[@contextRef=$RP.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT479" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.SmallBusinessEntityNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT480" value="xbrli:xbrl/rvctc2.02.22:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT481" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.22:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT482" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.22:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT494" value="xbrli:xbrl/gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT495" value="xbrli:xbrl/gfati.02.10:TaxOffsetClaim.NonRefundableOther.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT496" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT497" value="xbrli:xbrl/trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/gfati.02.10:TaxOffsetClaim.NonRefundableOther.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT498" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
  <let name="TRT499" value="xbrli:xbrl/trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/gfati.02.10:TaxOffsetClaim.NonRefundableOther.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
</pattern>